A Windows 98 & ME forum. Win98banter

If this is your first visit, be sure to check out the FAQ by clicking the link above. You may have to register before you can post: click the register link above to proceed. To start viewing messages, select the forum that you want to visit from the selection below.

Go Back   Home » Win98banter forum » Windows 98 » General
Site Map Home Authors List Search Today's Posts Mark Forums Read Web Partners

What is the last version of Thunderbird that can be used in Win98se?



 
 
Thread Tools Display Modes
  #11  
Old August 26th 18, 12:02 AM posted to microsoft.public.win98.gen_discussion
Computer Nerd Kev[_2_]
external usenet poster
 
Posts: 64
Default What is the last version of Thunderbird that can be used in Win98se?

R.Wieser wrote:

This has been my valued reference for such matters, already used
in this thread:
https://en.wikipedia.org/wiki/Transp...y#Web_browsers


Whooperdiedoop! My thanks for that. :-D

strikethru
Looking at that chart I can see FF 60.x ESR (you referred to) is mentioned
there (supporting TLS 1.3), but am fully unsure how to interpret it (if it
will actually run on XP - even though the next columns seems to say so).

And are you perhaps aware of, for FF, a comparision chart showing which
"junk"/features/buildin advertising-friendly crap each version has (getting
a newer encryption is good, but what is it going to cost me) ?
/strikethru

I just remembered that being able to use certain plugins (RequestPolicy and
GreaseMonkey) is pretty-much a deal-breaker to me. A quick peek showed me
that RequestPolicy doesn't seem to work on v57+ ...

Bummer. TLS 1.3 would be handy to have.


It does say that there's "experimental" support in V. 52, so you
might be able to turn it on in about:config somewhere.

--
__ __
#_ |\| | _#
  #12  
Old August 26th 18, 11:53 AM posted to microsoft.public.win98.gen_discussion
R.Wieser
External Usenet User
 
Posts: 108
Default What is the last version of Thunderbird that can be used in Win98se?

Kev,

It does say that there's "experimental" support in V. 52, so
you might be able to turn it on in about:config somewhere.


Googleing showed me that setting "security.tls.version.max" to 4 should
enable TLS 1.3 (if present ofcourse). Alas, there seems to be no way to
actually check if it works ... :-(

Regards,
Rudy Wieser


  #13  
Old August 29th 18, 03:44 AM posted to microsoft.public.win98.gen_discussion
Paul[_6_]
external usenet poster
 
Posts: 24
Default What is the last version of Thunderbird that can be used in Win98se?

- wrote:
What is the last version of Thunderbird that can be used in Win98se?

I have ver. 2.0.0.24. I have been using that for decades and never had a
need to upgrade. It does all I need, so why add more bloated crap.

I use gmail, and use their SMTP pop mail to get my email to TB. I no
longer have any web access, using ANY browser in Win98. Changing all the
web to HTTPS ended all my use of the web. Actually, losing the web was
not a big problem. Seems everyone is using facebook now anyhow, and I
absolutely hate FB and would not use it if they paid me. So, goodbye
web....

But now I am getting a constant error in Thunderbird that keeps saying I
dont have some security enabled. I looked in the settings and there is
no security enabled, but when I try to change it, it says that none of
them are usable.

I am sure that no versions made in recent years will load in Win98, but
maybe I can upgrade a few versions? Does anyone know if any newer
version will work? (Do they have better security features)?
Personally I could care less about security. All I do is chit chat with
a few friends and none of it has any secretive stuff. But I guess Google
has other ideas. They dont care who suffers, just as long as they can
control the internet. Soon, it will be much more secure, because no one
will be able to use it.

If I lose my email, I am finished with the internet completely. There is
no sense paying for service, when all I can use are the newsgroups, and
as everyone knows, the newsgroups are darn near dead.

Anyhow, I am just wondering if there is any way to upgrade TB. If not, I
guess I'll have to go back to the old fashioned methods of using the
telephone to contact friends, just like i have gone back to using the
books at the library to look stuff up, because I can no longer use the
web.

In a way, it's kind of funny. I was raised to use books to learn stuff,
and use the phone to contact friends. Then we were all given this
amazing tool called the internet to make life easier. It worked great
for about 2 decades. Now it's all been taken away from us. Or at least
from those of us who cant afford a new computer and pay $150 per month
to get high speed internet, which is the only way I can get anything
more than dialup.

And by the way, my flip phone used to have basic internet service. That
too no longer works. So, as far as I'm concerned, the internet is dead.


Tools : Options : Advanced : Config Editor

security.enable_ssl2 False
security.enable_ssl3 False
security.enable_tls True

What's interesting, it Config Editor doesn't have
a crypto suite defined for TLS. Both SSL2 and SSL3
have a listing of stuff like RC4 (very weak). New
crypto methods are added all the time, in browsers,
and Thunderbird is based on a Firefox browser.

To upgrade Thunderbird, you check what's the highest
version of Firefox you can run in Win98, then map that back
to what version of Thunderbird is based on that.
Say, as a made-up example, that Firefox 12 would
run. And Thunderbird 5 was based on Firefox 12. Then
you could install Thunderbird 5 and expect it to
at least "run" on Win98, even if the crypto suite
was still too old to work.

Ninety percent of the code in Thunderbird, is the
Firefox browser code. Thunderbird is merely an XML
file that draws three panes on the screen. When it
falls over, the window turns yellow, and the name
of the (broken) XML is printed on the screen. That's
how you discover that Thunderbird is a web program
running on top of the XUL.dll engine.

Just as Firefox was killed by bad design choices
on Win98, so will Thunderbird succumb to the same
bad choices. Because Thunderbird is Firefox.

Even if Thunderbird had been Win32 code, and self-sufficient,
it would still run into the problem of the
SSL/TLS/crypt_suite/certificates evolving below
your very feet, and the connection will still fall
over.

Your TLS is probably already turned on, but the
crusty crypto suite (with the RC4 already turned off),
is no match for CHACHA20.

https://en.wikipedia.org/wiki/Salsa20

"ChaCha20 adoption

Google has selected ChaCha20 along with Bernstein's
Poly1305 message authentication code as a replacement
for RC4 in TLS, which is used for Internet security.[20]
"

What happens is, crypto suites are negotiated. The two ends
go through their table of algos and select something
they have in common. On the server end, the server
can turn off practically all of the old ones, leaving
a Win98 user high and dry. Maybe you need Thunderbird 60
to get CHACHA20.

Crypto is the ultimate determinant of your life on
the Internet. Not other aspects of the program.
If the crypto suite had been "plugin", like a separate
program that just "secured" a connection for you,
it might have been different.

With some protocols, you can set up a "proxy". For example,
some people do USENET News by keeping their own newsserver
at 127.0.0.1. The newsserver syncs to the provider. The
client program talks to 127.0.0.1:119. If you had something
like that for email, the back end of the proxy-like
solution could talk CHACHA20 to Google, while your
local connection on 127.0.0.1 talked a less secure
protocol (i.e. no crypto whatsoever). I don't know
how to do that, I don't know what tool to use,
but that's about the only option that comes to mind.

Paul
 




Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Last utorrent version to run on win98SE ? Shadow General 28 June 11th 10 09:13 PM
Last utorrent version to run on win98SE ? Shadow General 0 June 6th 10 05:06 PM
What's the best version of Azureus for Win98SE? SlickRCBD[_3_] Networking 22 December 19th 09 10:36 AM
What's the best version of Azureus for Win98SE? SlickRCBD[_3_] Networking 0 November 18th 09 06:18 AM
I.E. Version Win 98 and Win98SE Donvito General 4 November 26th 04 08:52 AM


All times are GMT +1. The time now is 10:07 AM.


Powered by vBulletin® Version 3.6.4
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
Copyright 2004-2018 Win98banter.
The comments are property of their posters.